@charset "UTF-8";

/* ================================================================================
 地図印刷用CSS
================================================================================ */


/* Reset
--------------------------------------------------------- */
body {
    line-height: 1.43;
    background: #fff;
    color: #000;
}

p {
    margin: 0;
}

.page-wrap {
    width: 756px;
    min-width: 0;
    margin: 0 auto;
    padding: 0 22px 22px;
}

.inner,
.contents {
    width: auto;
}

.contents {
    padding-top: 0;
}

.g-header {
    min-width: 0;
}

.page-title .inner {
    padding-right: 4px;
}


/* printMap-header
--------------------------------------------------------- */
.printMap-header {
    height: 50px;
}

.logo-shingaku,
.printMap-menu {
    margin: 10px 0 0;
}

.logo-shingaku {
    float: left;
}

.printMap-menu {
    float: right;
}

.btn-print {
    display: block;
    text-align: center;
    width: 146px;
    height: 28px;
    padding-right: 12px;
    font-size: 14px;
    font-weight: bold;
    line-height: 28px;
    border-radius: 4px;
    border: 1px solid #009ac1;
    background: #ffffff;
    background: -webkit-linear-gradient(90deg, #f6f6f6 0%, #ffffff 100%);
    background: -moz-linear-gradient(90deg, #f6f6f6 0%, #ffffff 100%);
    background: -o-linear-gradient(90deg, #f6f6f6 0%, #ffffff 100%);
    background: -ms-linear-gradient(90deg, #f6f6f6 0%, #ffffff 100%);
    background: linear-gradient(0deg, #f6f6f6 0%, #ffffff 100%);
    color: #009ac1;
    overflow: hidden;
}

.btn-print:before {
    display: inline-block;
    content: url('../../images/gakkou/img_print_01.png');
    width: 45px;
    height: 28px;
    margin: 0 5px 0 0;
    float: left;
}

.btn-print:hover,
.btn-print:active {
    text-decoration: none;
    color: #009ac1;
}


/* map-area
--------------------------------------------------------- */
.map-area {
    position: relative;
    box-sizing: border-box;
    height: 420px;
    border: 1px solid #e2e2e2;
    background: #e1e1e1 url('../../images/common/loader_map.gif') center center no-repeat;
    overflow: hidden;
}

#gmap {
    height: 100%;
}

.no-js-msg {
    position: absolute;
    left: 0;
    top: 0;
    height: 420px;
    padding: 30px;
    background-color: #e1e1e1;
}


/* printMapBox
--------------------------------------------------------- */
.printMapBox {
    margin: 20px auto 0;
}

.printMapBox-title {
    display: table;
    border-collapse: separate;
    border-spacing: 0 2px;
    width: 100%;
    margin: 0;
    font-size: 16px;
    line-height: 1.375;
    border-bottom: 1px solid #3498db;
}

.printMapBox-title:before,
.printMapBox-title span {
    display: table-cell;
    vertical-align: middle;
}

.printMapBox-title:before {
    content: '';
    width: 10px;
    border-left: 6px solid #3498db;
}

.printMapBox-body {
    margin: 10px auto 0;
}

.printMapBox-coupon .printMapBox-body,
.printMapBox-body > :first-child {
    margin-top: 0;
}


/* printMapItem
--------------------------------------------------------- */
.printMapItem {
    margin: 1em auto 0;
}

.printMapItem-title {
    margin: 0;
    font-size: 14px;
    font-weight: bold;
    color: #3498db;
}


/* printMapCoupon
--------------------------------------------------------- */
.printMapBox-coupon {
    page-break-inside: avoid;
}

.printMapCoupon {
    margin-left: -7px;
}

.printMapCoupon-item {
    box-sizing: border-box;
    width: 247px;
    margin: 10px 0 0 7px;
    padding: 1px;
    border: 1px dashed #b5b5b5;
    float: left;
}

.printMapCoupon-item img {
    max-width: 100%;
}

.printMapCoupon-item-img {
    position: relative;
    width: 242px;
    height: 108px;
    background-color: #eee;
}

.printMapCoupon-item-img img {
    position: absolute;
    left: 0;
    right: 0;
    top: 0;
    bottom: 0;
    margin: auto;
    max-width: 242px;
    max-height: 108px;
    width: auto;
    height: auto;
}


/* 印刷時にA4サイズに収める
--------------------------------------------------------- */
@media print {
    .page-wrap {
        padding: 0 !important;
    }
}
